Summary: Programs for dealing with floppy disks
Name: fdutils
Packager: Paul H. Hargrove <hargrove@sccm.Stanford.EDU>
Version: 5.2
Release: 4
Source:	ftp://linux.wauug.org/pub/knaff/fdutils/fdutils-5.2.tar.gz
Patch: fdutils-manpages.patch
Copyright: GPL
Group: Utilities/System
ExclusiveOS: Linux
BuildRoot: /var/tmp/fdutils-root

%description
This package contains utilities for configuring and debugging the
Linux floppy driver, for formatting extra capacity disks (up to 1992K
on a high density disk), for sending raw commands to the floppy
controller, etc.

NOTE:
This package contains files which supercede corresponding versions
in the man-pages and util-linux packages.  Therefore, the --replacefiles
(or --force) option to rpm may be needed to install this package.


%changelog
* Sun Nov 29 1998 Paul H. Hargrove <hargrove@sccm.Stanford.EDU>
[5.2-4]
- Fix to be built by non-root
- Add conflict note in %desrciption

* Wed Apr 15 1998 Paul H. Hargrove <hargrove@sccm.Stanford.EDU>
[5.2-3]
- Use buildroot

%prep
%setup
%patch -p1

%build
./configure --prefix=/usr --sysconfdir=/etc
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/info
mkdir -p $RPM_BUILD_ROOT/usr/man/man1
mkdir -p $RPM_BUILD_ROOT/usr/man/man4

cd src/
cp mediaprm $RPM_BUILD_ROOT/etc/
cp xdfcopy setfdprm floppycontrol floppymeter superformat getfdprm MAKEFLOPPIES fdrawcmd fdmount $RPM_BUILD_ROOT/usr/bin/
ln -s fdmount $RPM_BUILD_ROOT/usr/bin/fdlist
ln -s fdmount $RPM_BUILD_ROOT/usr/bin/fdmountd
ln -s fdmount $RPM_BUILD_ROOT/usr/bin/fdumount
ln -s xdfcopy $RPM_BUILD_ROOT/usr/bin/xdfformat

cd ../doc
mv makefloppies.1 MAKEFLOPPIES.1 
cp {floppycontrol,floppymeter,superformat,xdfcopy,setfdprm,getfdprm,fdrawcmd,MAKEFLOPPIES,fdmount}.1 $RPM_BUILD_ROOT/usr/man/man1/
ln -s fdmount.1 $RPM_BUILD_ROOT/usr/man/man1/fdlist.1
ln -s fdmount.1 $RPM_BUILD_ROOT/usr/man/man1/fdmountd.1
ln -s fdmount.1 $RPM_BUILD_ROOT/usr/man/man1/fdumount.1
ln -s xdfcopy.1 $RPM_BUILD_ROOT/usr/man/man1/xdfformat.1
cp fd.4 $RPM_BUILD_ROOT/usr/man/man4/
cp fdutils.info fdutils.info-[1-4] $RPM_BUILD_ROOT/usr/info/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,-)
%config /etc/mediaprm
%attr(755,root,floppy) /usr/bin/xdfcopy
%attr(755,root,floppy) /usr/bin/setfdprm
%attr(755,root,floppy) /usr/bin/floppycontrol
%attr(755,root,floppy) /usr/bin/floppymeter
%attr(755,root,floppy) /usr/bin/superformat
%attr(755,root,floppy) /usr/bin/getfdprm
%attr(755,root,floppy) /usr/bin/MAKEFLOPPIES
%attr(755,root,floppy) /usr/bin/fdrawcmd
%attr(4750,root,floppy) /usr/bin/fdmount
%attr(-,root,floppy) /usr/bin/fdumount
%attr(-,root,floppy) /usr/bin/xdfformat
%attr(-,root,floppy) /usr/bin/fdlist
%attr(-,root,floppy) /usr/bin/fdmountd
/usr/man/man1/floppycontrol.1
/usr/man/man1/floppymeter.1
/usr/man/man1/superformat.1
/usr/man/man1/xdfcopy.1
/usr/man/man1/setfdprm.1
/usr/man/man1/getfdprm.1
/usr/man/man1/fdrawcmd.1
/usr/man/man1/MAKEFLOPPIES.1
/usr/man/man1/fdmount.1
%attr(-,root,root) /usr/man/man1/fdumount.1
%attr(-,root,root) /usr/man/man1/fdlist.1
%attr(-,root,root) /usr/man/man1/fdmountd.1
%attr(-,root,root) /usr/man/man1/xdfformat.1
/usr/man/man4/fd.4
/usr/info/fdutils.info
/usr/info/fdutils.info-1
/usr/info/fdutils.info-2
/usr/info/fdutils.info-3
/usr/info/fdutils.info-4
